#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a(n);
    for (auto &it : a)
        cin >> it;

    vector<int> order;
    for (int i = n - 1; i >= 0; i--)
        order.insert(order.begin() + a[i], i + 1);

    for (int i = 0; i < n; i++)
        cout << order[i] << " \n"[i + 1 == n];
}
